using CoreLibrary.Events;

namespace CoreLibrary.Joueurs
{
    public class JoueurBuilder
    {
        public event EventHandler<ConstruireJoueurEventArgs>? ConstruireJoueur;

        private void QuandConstruireJoueur(Joueur joueur) => ConstruireJoueur?.Invoke(this, new ConstruireJoueurEventArgs(joueur));

        public void Joueur(Joueur joueur)
        {
            QuandConstruireJoueur(joueur);
        }
    }
}
